test-cloud
latest
false
Test Cloud API guide
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
Update organization access policy
Update Organization Access Policy API endpoint for adding or removing entities from an organization's access policy in Test Cloud.
Updates the access policy for an organization by adding and/or removing entities.
Endpoint
PUT /api/PartitionAccessPolicy/{partitionGlobalId}
Request headers
--header 'Authorization: Bearer <your-access-token>'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer <your-access-token>'
--header 'Content-Type: application/json'
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
partitionGlobalId | GUID | Path | Yes | The global identifier of the organization. For steps on retrieving partitionGlobalId, refer to Retrieving partitionGlobalId for API use |
Responses
200 OK
[
{
"objectType": "DirectoryGroup",
"externalId": null,
"source": "local",
"identifier": "ce684f6f-5af3-4e43-8516-1adad6e98fc9",
"name": "Everyone",
"email": null,
"displayName": "Everyone"
},
{
"objectType": "DirectoryGroup",
"externalId": null,
"source": "local",
"identifier": "65bac4da-2a5b-459a-8f49-318dc95c06a6",
"name": "Citizen Developers",
"email": null,
"displayName": "Citizen Developers"
},
{
"objectType": "DirectoryGroup",
"externalId": null,
"source": "local",
"identifier": "35551807-06b1-4cda-90a1-2fb84851eee7",
"name": "Administrators",
"email": null,
"displayName": "Administrators"
}
]
[
{
"objectType": "DirectoryGroup",
"externalId": null,
"source": "local",
"identifier": "ce684f6f-5af3-4e43-8516-1adad6e98fc9",
"name": "Everyone",
"email": null,
"displayName": "Everyone"
},
{
"objectType": "DirectoryGroup",
"externalId": null,
"source": "local",
"identifier": "65bac4da-2a5b-459a-8f49-318dc95c06a6",
"name": "Citizen Developers",
"email": null,
"displayName": "Citizen Developers"
},
{
"objectType": "DirectoryGroup",
"externalId": null,
"source": "local",
"identifier": "35551807-06b1-4cda-90a1-2fb84851eee7",
"name": "Administrators",
"email": null,
"displayName": "Administrators"
}
]